cdac.medinfo.sdk.hl7282.baselibs.segments

## Class ECD

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.ECD

- All Implemented Interfaces:
    ISegment

      public class ECD
      extends Segment

  ECD - Equipment Command Segment

  The equipment command segment contains the information required to notify the receiving component what is to happen.

  Represents an HL7 ECD message segment. This segment has the following fields:

  ECD-1: Reference Command Number (NM)Required
  ECD-2: Remote Control Command (CWE)Required
  ECD-3: Response Required (ID)Optional
  ECD-4: Requested Completion Time (TQ)Withdrawn
  ECD-5: Parameters (TX)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ECD()` Constructs the ECD segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addParameters(java.lang.String strTextdata)` Add the Parameters.
    `void` | `addParameters(TX objParameters)` Add the Parameters.
    `ISingleCollection<TX>` | `getParameters()` Retrieves the Parameters.
    `NM` | `getReferenceCommandNumber()` Retrieves the Reference Command Number.
    `CWE` | `getRemoteControlCommand()` Retrieves the Remote Control Command.
    `ID` | `getResponseRequired()` Retrieves the Response Required.
    `void` | `setParameters(ISingleCollection<TX> objParameters)` Set the Parameters.
    `void` | `setReferenceCommandNumber(NM objReferenceCommandNumber)` Set the Reference Command Number.
    `void` | `setReferenceCommandNumber(java.lang.String strSequenceNumberTestObservationMasterFile)` Set the Reference Command Number.
    `void` | `setRemoteControlCommand(CWE objRemoteControlCommand)` Set the Remote Control Command.
    `void` | `setRemoteControlCommand(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Remote Control Command.
    `void` | `setResponseRequired(ID objResponseRequired)` Set the Response Required.
    `void` | `setResponseRequired(java.lang.String strActionCode)` Set the Response Required.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ECD

          public ECD()

      Constructs the ECD segment.

  - ### Method Detail

    - #### getParameters

          public ISingleCollection<TX> getParameters()

      Retrieves the Parameters. This field identify the parameters of the command.
      Returns:
        ISingleCollection - parameters

    - #### getReferenceCommandNumber

          public NM getReferenceCommandNumber()

      Retrieves the Reference Command Number. This field contains the unique identifier for this particular command that should be used by the various components for future referral to this command.
      Returns:
        String - referenceCommandNumber

    - #### getRemoteControlCommand

          public CWE getRemoteControlCommand()

      Retrieves the Remote Control Command. This field identify the command that the component is to initiate.
      Returns:
        CWE - remoteControlCommand

    - #### getResponseRequired

          public ID getResponseRequired()

      Retrieves the Response Required. This field identify the mode of synchronization that is to be used in relation to the execution of the command.
      Returns:
        String - responseRequired

    - #### addParameters

          public void addParameters(java.lang.String strTextdata)

      Add the Parameters. This field identifies the parameters of the command.
      Parameters:
        `strTextdata` - String to be passed identifies the parameters of the command.

    - #### addParameters

          public void addParameters(TX objParameters)

      Add the Parameters. This field identifies the parameters of the command.
      Parameters:
        `objParameters` - Object of Parameters.

    - #### setParameters

          public void setParameters(ISingleCollection<TX> objParameters)

      Set the Parameters. This field identify the parameters of the command.
      Parameters:
        `objParameters` - List of Parameters.

    - #### setReferenceCommandNumber

          public void setReferenceCommandNumber(java.lang.String strSequenceNumberTestObservationMasterFile)

      Set the Reference Command Number. This field contains the unique identifier for this particular command that should be used by the various components for future referral to this command.
      Parameters:
        `strSequenceNumberTestObservationMasterFile` - String to be passed as Sequence Number - Test/Observation Master File

    - #### setReferenceCommandNumber

          public void setReferenceCommandNumber(NM objReferenceCommandNumber)

      Set the Reference Command Number. This field contains the unique identifier for this particular command that should be used by the various components for future referral to this command.
      Parameters:
        `objReferenceCommandNumber` - Object of Reference Command Number.

    - #### setRemoteControlCommand

          public void setRemoteControlCommand(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Remote Control Command. This field identify the command that the component is to initiate.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setRemoteControlCommand

          public void setRemoteControlCommand(CWE objRemoteControlCommand)

      Set the Remote Control Command. This field identify the command that the component is to initiate.
      Parameters:
        `objRemoteControlCommand` - Object of Remote Control Command.

    - #### setResponseRequired

          public void setResponseRequired(java.lang.String strActionCode)

      Set the Response Required. This field identify the mode of synchronization that is to be used in relation to the execution of the command.
      Parameters:
        `strActionCode` - Specifies the the intent of the message

    - #### setResponseRequired

          public void setResponseRequired(ID objResponseRequired)

      Set the Response Required. This field identify the mode of synchronization that is to be used in relation to the execution of the command.
      Parameters:
        `objResponseRequired` - Object of Response Required.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.